{ pkgs ? import <nixpkgs> { } }:
with pkgs;
assert lib.versionAtLeast go.version "1.16";
let
    version = "0.0.1";
    deps = [];
    nativeDeps = [
        go_1_17
    ];
in
pkgs.buildGoModule {
  pname = "gitea-attachements-proxy";
  inherit version;

  src = ./.;

  buildInputs = [
  ] ++deps;
  nativeBuildInputs = [
    go_1_17
  ] ++nativeDeps;

  tags = [ ];

  allowGoReference = true;

  vendorSha256 = "sha256-9ppXRHVSzXyEvCx+5ZOB+A//THbl/5k2wRy+jLaRUkE=";

  meta = {
    description = "A Wrapper around the gitea API to get attachments by tags";
    homepage = "https://git.entr0py.de/garionion/gitea-attachements-proxy";
  };
}